clang 8.0.0

Namespaces | Enumerations | Functions
ASTCommon.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclFriend.h"`
`#include "clang/Serialization/ASTBitCodes.h"`
Include dependency graph for ASTCommon.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialization

## Enumerations
enum | clang::serialization::DeclUpdateKind { clang::serialization::UPD_CXX_ADDED_IMPLICIT_MEMBER, clang::serialization::UPD_CXX_ADDED_TEMPLATE_SPECIALIZATION, clang::serialization::UPD_CXX_ADDED_ANONYMOUS_NAMESPACE, clang::serialization::UPD_CXX_ADDED_FUNCTION_DEFINITION, clang::serialization::UPD_CXX_ADDED_VAR_DEFINITION, clang::serialization::UPD_CXX_POINT_OF_INSTANTIATION, clang::serialization::UPD_CXX_INSTANTIATED_CLASS_DEFINITION, clang::serialization::UPD_CXX_INSTANTIATED_DEFAULT_ARGUMENT, clang::serialization::UPD_CXX_INSTANTIATED_DEFAULT_MEMBER_INITIALIZER, clang::serialization::UPD_CXX_RESOLVED_DTOR_DELETE, clang::serialization::UPD_CXX_RESOLVED_EXCEPTION_SPEC, clang::serialization::UPD_CXX_DEDUCED_RETURN_TYPE, clang::serialization::UPD_DECL_MARKED_USED, clang::serialization::UPD_MANGLING_NUMBER, clang::serialization::UPD_STATIC_LOCAL_NUMBER, clang::serialization::UPD_DECL_MARKED_OPENMP_THREADPRIVATE, clang::serialization::UPD_DECL_MARKED_OPENMP_DECLARETARGET, clang::serialization::UPD_DECL_EXPORTED, clang::serialization::UPD_ADDED_ATTR_TO_RECORD }

## Functions
TypeIdx | clang::serialization::TypeIdxFromBuiltin (const BuiltinType *BT)
template<typename IdxForTypeTy >
TypeID | clang::serialization::MakeTypeID (ASTContext &Context, QualType T, IdxForTypeTy IdxForType)
unsigned | clang::serialization::ComputeHash (Selector Sel)
const DeclContext * | clang::serialization::getDefinitiveDeclContext (const DeclContext *DC)
| Retrieve the "definitive" declaration that provides all of the visible entries for the given declaration context, if there is one. More...
bool | clang::serialization::isRedeclarableDeclKind (unsigned Kind)
| Determine whether the given declaration kind is redeclarable. More...
bool | clang::serialization::needsAnonymousDeclarationNumber (const NamedDecl *D)
| Determine whether the given declaration needs an anonymous declaration number. More...
template<typename Fn >
void | clang::serialization::numberAnonymousDeclsWithin (const DeclContext *DC, Fn Visit)
| Visit each declaration within `DC` that needs an anonymous declaration number and call `Visit` with the declaration and its number. More...